Skip to content

Results are limited to the current section: Cloud services

Product news

Cancel Jobs

PATCH
/api/v2/batches/{batch__id}/cancel/jobs

Cancel a subset of jobs within a batch based on filter criteria. Only the batch owner can perform this operation.

Only jobs in a cancelable state (PENDING, RUNNING) are affected. Already completed or errored jobs are left unchanged.

Returns: The list of successfully canceled jobs and the list of job IDs that could not be canceled, with their error explained.

batch__id
required
Batch Id
string format: uuid
id
Id

Unique id for the job

Array<string>
default:

Unique id for the job

id__starts_with
Id Starts With

First characters of the job id

string
""

First characters of the job id

batch_id
Batch Id

Owner batch of the job

Array<string>
default:

Owner batch of the job

project_id
Project Id

Owner project of the job

Array<string>
default:

Owner project of the job

user_id
User Id

Owner user of the job

Array<string>
default:

Owner user of the job

status

Job status type enum

Array<string>
default:
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING

Job status type enum

min_runs
Min Runs

Minimum number of times the pulser sequence is repeated

integer
""

Minimum number of times the pulser sequence is repeated

max_runs
Max Runs

Maximum number of times the pulser sequence is repeated

integer
""

Maximum number of times the pulser sequence is repeated

errors
Errors

Whether errors were returned when executing the job

boolean
""

Whether errors were returned when executing the job

origin

Origin of the job

Array<string>
default:
Allowed values: CLIENT AZURE OVH UNKNOWN

Origin of the job

start_date
Start Date

Time when the emulator or QPU indicated a job was started

string format: date-time
""

Time when the emulator or QPU indicated a job was started

end_date
End Date

Time when the emulator or QPU indicated a job finished, failed or was cancelled

string format: date-time
""

Time when the emulator or QPU indicated a job finished, failed or was cancelled

Successful Response

NonPaginatedResponse[ProducedPartialJobBulkCancelResponse]
object
data
ProducedPartialJobBulkCancelResponse

Response to a request for cancelling a bunch of jobs without the results of the jobs.

object
jobs
required
Jobs

Jobs that were successfully canceled.

Array<object>
ProducedPartialJobResponse

Response to a request for a job.

This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, ‘logs_links’ or ‘results link’.

object
id
required
Id

Unique identifier for the job.

string format: uuid
parent_id
required
Parent Id

ID of the original job if created from a retry (rebatch).

string format: uuid
status
required

Current job status.

string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
runs
required
Runs

Number of times the pulse sequence is repeated.

integer
batch_id
required
Batch Id

ID of the batch this job belongs to.

string format: uuid
project_id
required
Project Id

ID of the project this job belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the job was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last job update.

string format: date-time
start_timestamp
required
Start Timestamp

Timestamp when the QPU or emulator started processing.

string format: date-time
end_timestamp
required
End Timestamp

Timestamp when the QPU or emulator finished, errored, or canceled the job.

string format: date-time
variables
required
Variables

Variable assignments used to build the pulse sequence.

object
errors
required
Errors

Errors returned during job execution.

Array<string>
progress
required
Progress

Job progress percentage (0-100).

integer
<= 100
sequence
required
Sequence

The built pulse sequence for the job.

string
creation_order
required
Creation Order

Position in the creation order within the batch.

integer
Example
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "DONE",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:35:00Z",
"start_timestamp": "2025-01-15T10:31:00Z",
"end_timestamp": "2025-01-15T10:35:00Z",
"variables": {
"omega": 5
},
"progress": 100,
"creation_order": 1
}
errors
required
Errors

Job IDs that could not be canceled, with error details.

object
key
additional properties
string
Example
{
"jobs": [
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "CANCELED",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:40:00Z",
"end_timestamp": "2025-01-15T10:40:00Z",
"variables": {
"omega": 5
},
"creation_order": 0
}
],
"errors": {}
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string